Loading...
Searching...
No Matches
Opm::CompletedCells::Cell Struct Reference

Identification and associate properties of cell intersected by one or more well connections. More...

`#include <CompletedCells.hpp>`

## Classes

struct | Props
| Property data of intersected cell. More...

## Public Member Functions

| Cell ()=default
| Default constructor.
| Cell (const std::size_t g, const std::size_t i_, const std::size_t j_, const std::size_t k_)
| Constructor.
bool | is_active () const
| Check if cell is discovered and has associated property data.
std::size_t | active_index () const
| Retrieve cell's active index grid.
bool | operator== (const Cell &other) const
| Equality predicate.
template<class Serializer>
void | serializeOp (Serializer &serializer)
| Convert between byte array and object representation.

## Static Public Member Functions

static Cell | serializationTestObject ()
| Create a serialisation test object.

## Public Attributes

std::size_t | global_index {}
| Linearised Cartesian cell index.
std::size_t | i {}
| Cartesian I index relative to grid origin.
std::size_t | j {}
| Cartesian J index relative to grid origin.
std::size_t | k {}
| Cartesian K index relative to grid origin.
double | depth {}
| Depth of cell centre.
std::array< double, 3 > | dimensions {}
| Physical cell extents.
std::optional< Props > | props {}
| Cell property data.

## Detailed Description

Identification and associate properties of cell intersected by one or more well connections.

## Constructor & Destructor Documentation

## Cell() [1/2]

Opm::CompletedCells::Cell::Cell | ( |  | ) |

default

Default constructor.

Creates a Cell object that's mostly usable as the target of a deserialisation operation.

## Cell() [2/2]

Opm::CompletedCells::Cell::Cell | ( | const std::size_t | g,
|  | const std::size_t | i_,
|  | const std::size_t | j_,
|  | const std::size_t | k_ )

inline

Constructor.

Parameters

  [in] | g | Cell's linearised Cartesian index relative to grid's origin.
  [in] | i_ | Cell's Cartesian I index relative to grid's origin.
  [in] | j_ | Cell's Cartesian J index relative to grid's origin.
  [in] | k_ | Cell's Cartesian K index relative to grid's origin.

## Member Function Documentation

## active_index()

std::size_t Opm::CompletedCells::Cell::active_index | ( |  | ) | const

Retrieve cell's active index grid.

Will throw an exception unless cell is_active().

## operator==()

bool Opm::CompletedCells::Cell::operator== | ( | const Cell & | other | ) | const

Equality predicate.

Parameters

  [in] | other | Object against which will be tested for equality.

Returns
  Whether or not
  is the same as `other`.

## serializeOp()

template<class Serializer>

void Opm::CompletedCells::Cell::serializeOp | ( | Serializer & | serializer | ) |

inline

Convert between byte array and object representation.

Template Parameters

  Serializer | Byte array conversion protocol.

Parameters

  [in,out] | serializer | Byte array conversion object.

## Member Data Documentation

## global_index

std::size_t Opm::CompletedCells::Cell::global_index {}

Linearised Cartesian cell index.

Relative to grid origin–e.g., in an LGR or in the main grid.

## props

std::optional<Props> Opm::CompletedCells::Cell::props {}

Cell property data.

Nullopt if cell has not yet been discovered.

The documentation for this struct was generated from the following files:

- opm/input/eclipse/Schedule/CompletedCells.hpp
- opm/input/eclipse/Schedule/CompletedCells.cpp